## org.codehaus.groovy.control.messages
Class ExceptionMessage

    java.lang.Object
      org.codehaus.groovy.control.messages.Message
          org.codehaus.groovy.control.messages.ExceptionMessage

    public class ExceptionMessage

extends Message

A class for error messages produced by the parser system.

Version:
  $Id: ExceptionMessage.java 6778 2007-07-02 10:40:33Z glaforge $
Author:
  Chris Poirier

Field Summary
`protected boolean` `verbose`

Constructor Summary
`ExceptionMessage(Exception cause, boolean v, ProcessingUnit owner)`

Method Summary
`Exception` `getCause()` Returns the underlying Exception.
`void` `write(PrintWriter output, Janitor janitor)` Writes out a nicely formatted summary of the exception.

Methods inherited from class org.codehaus.groovy.control.messages.Message
`create, create, create, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### verbose

    protected boolean verbose

Constructor Detail

### ExceptionMessage

    public ExceptionMessage(Exception cause,
                            boolean v,
                            ProcessingUnit owner)

Method Detail

### getCause

    public Exception getCause()

  Returns the underlying Exception.

### write

    public void write(PrintWriter output,
                      Janitor janitor)

  Writes out a nicely formatted summary of the exception.

  Specified by:
    `write` in class `Message`

Copyright © 2003-2008 The Codehaus. All rights reserved.